/*
    Copyright (C) 2004 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef VERSION_CONTROLLER_HPP
#define VERSION_CONTROLLER_HPP

#include <sqlitemm/sqlitemanager.hpp>
#include <string>
#include <iostream>

namespace gjournal
{
	class VersionController
	{
		public:
			static void checkVersion( sqlitemm::SQliteManager *sql );
			static void revision0351( sqlitemm::SQliteManager *sql, std::string &version );
	};
}

#endif //VERSION_CONTROLLER_HPP
